package com.example.agoldenbaum.datachartrangeseriescase;

import android.graphics.Color;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.RelativeLayout;

import com.infragistics.controls.CategoryXAxis;
import com.infragistics.controls.DataChartView;
import com.infragistics.controls.HorizontalRangeCategorySeries;
import com.infragistics.controls.LineSeries;
import com.infragistics.controls.NumericYAxis;
import com.infragistics.controls.RangeAreaSeries;
import com.infragistics.graphics.SolidColorBrush;

import java.util.List;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        DataChartView chart = new DataChartView(this.getApplicationContext());

        CategoryXAxis xAxis = new CategoryXAxis();
        NumericYAxis yAxis = new NumericYAxis();

        List<?> data = CategoryDataSample.GetTemperatureData();

        xAxis.setDataSource(data);
        xAxis.setLabel("label");

        RangeAreaSeries series = new RangeAreaSeries();
        series.setXAxis(xAxis);
        series.setYAxis(yAxis);
        series.setHighMemberPath("highValue");
        series.setLowMemberPath("lowValue");
        series.setDataSource(data);

        LineSeries LS1 = new LineSeries();
        LS1.setDataSource(data);
        LS1.setYAxis(yAxis);
        LS1.setXAxis(xAxis);
        LS1.setBrush(new SolidColorBrush(Color.RED));
        LS1.setValueMemberPath("lineValue1");

        LineSeries LS2 = new LineSeries();
        LS2.setDataSource(data);
        LS2.setYAxis(yAxis);
        LS2.setXAxis(xAxis);
        LS2.setBrush(new SolidColorBrush(Color.BLUE));
        LS2.setValueMemberPath("lineValue2");

        chart.addAxis(xAxis);
        chart.addAxis(yAxis);

        chart.addSeries(series);
        chart.addSeries(LS1);
        chart.addSeries(LS2);

        RelativeLayout RL = (RelativeLayout)findViewById(R.id.relLayout1);

        RL.addView(chart);




    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
